@import url(menu.css);

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/*Arreglo header*/
header {
  background: transparent;
}
header.headerscroll {
  background: #ffffff;
  transition:
    transform 0.8s ease,
    background 0.5s ease;
}
header .logotipo {
  filter: invert();
}
header.headerscroll .logotipo {
  filter: none;
}
.contenedormenu {
  display: none;
}

header.headerscroll .contenedormenu {
  display: flex;
}
header .redes_sociales1 #ico-gmail {
  display: none;
}
header.headerscroll .redes_sociales1 #ico-gmail {
  display: block;
}

/*Device Mode*/

/*Banner*/
.banner_main {
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.banner_main .image_banner {
  width: 100%;
  height: 100%;
}

.banner_main .image_banner img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}

/*Tarjetas*/
.seccion-tarjetas {
  width: 100%;
  padding: 20px;
  background-color: #787e78;
  text-align: center;
  justify-items: center;
  padding-bottom: 100px;
}

.titulo_seccion_tarjetas {
  font-family: NewQueen;
  margin-top: 80px;
  margin-bottom: 90px;
  font-size: 45px;
  color: #fff1c7;
}

.titulo_seccion_tarjetas .my,
.titulo_seccion_tarjetas .work {
  position: relative;
  display: inline-block;
  text-decoration: none;
}

.titulo_seccion_tarjetas .my::before,
.titulo_seccion_tarjetas .work::after {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  width: 180px;
  height: 1px;
  background: #fff1c7;
}

.titulo_seccion_tarjetas .my::before {
  top: -10px;
}
.titulo_seccion_tarjetas .work::after {
  bottom: -10px;
}

.contenedor-tarjetas {
  display: grid;
  grid-template-columns: 1fr;
  gap: 30px 50px;
  width: 100%;
}

.tarjeta {
  overflow: hidden;
  display: flex;
  flex-direction: column;
  aspect-ratio: 4 / 3.5;
  position: relative;
}

.tarjeta-imagen,
.tarjeta-video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

#tarjeta_imagen {
  object-position: top;
}

.tarjeta-contenido {
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 15px;
  flex: 1;
  text-align: center;
  position: absolute;
  inset: 0;
}

.tarjeta-texto {
  font-family: NewQueen;
  font-size: 30px;
  color: #ffedb7;
  margin-bottom: 13px;
}

.tarjeta-boton {
  font-family: NewQueen;
  padding: 13px 25px;
  background: transparent;
  color: #ffedb7;
  text-decoration: none;
  border: 2px solid #ffedb7;
  font-size: 18px;
  border-radius: 30px;
  transition: 0.5s;
}

.tarjeta-boton:hover {
  background-color: #bdb8a7a9;
  color: #ffe28b;
}

@media (max-width: 315px) {
  .banner_main {
    min-width: 270px;
  }
  .seccion-tarjetas {
    min-width: 270px;
  }
}

/*Pc Mode*/
@media (min-width: 760px) {
  /*Tarjetas*/
  .contenedor-tarjetas {
    grid-template-columns: repeat(3, 1fr);
  }

  .tarjeta {
    aspect-ratio: 4 / 4.5;
  }
}

@media (min-width: 1024px) {
  /*Banner*/
  .banner_inicio {
    height: 100vh;
    background-color: #000;
  }

  .image_banner img {
    object-position: center top;
  }
}
/*Arreglo header*/
@media (min-width: 1050px) {
  header .menu .submenuitem {
    opacity: 0;
  }

  header.headerscroll .menu .submenuitem {
    opacity: 100%;
  }

  header .redes_sociales a,
  header .redes_sociales1 #ico-gmail,
  header .redes_sociales1 #email_txt {
    display: none;
  }

  header.headerscroll .redes_sociales a,
  header.headerscroll .redes_sociales1 #ico-gmail,
  header.headerscroll .redes_sociales1 #email_txt {
    display: block;
  }

  header .contenedor .centrarlogotipo {
    border-bottom: none;
  }

  header.headerscroll .contenedor .centrarlogotipo {
    border-bottom: 1px solid rgb(41, 41, 43);
  }

  header:hover {
    background: #ffffff;
    transition:
      transform 0.8s ease,
      background 0.5s ease;
  }

  header:hover .logotipo {
    filter: none;
  }

  header:hover .contenedor .centrarlogotipo {
    border-bottom: 1px solid rgb(41, 41, 43);
  }

  header:hover .menu .submenuitem {
    opacity: 100%;
  }

  header:hover .redes_sociales a,
  header:hover .redes_sociales1 #ico-gmail,
  header:hover .redes_sociales1 #email_txt,
  header:hover .redes_sociales1 #ico-gmail {
    display: block;
  }
}

@media (min-width: 1300px) {
  /*Tarjeta*/
  .tarjeta {
    aspect-ratio: 4 / 3.5;
  }
}

@media (min-width: 1400px) {
  .contenedor-tarjetas {
    max-width: 1650px;
  }
}
